{ pkgs, config, ... }:

{
  config = {
    users.users.alexander = {
	    isNormalUser = true;
	    extraGroups = [ "wheel" "audio" "video" "kvm" "input" "libvirtd" ];
	    hashedPassword = "$5$i4aZuQ/WXP.rFOc$lCzDqbrVsqBQt5954O.3bFPknD0jn27MmqzmE4DIAEC";
      shell = pkgs.zsh;
      useDefaultShell = false;
      uid = 1000;
      isSystemUser = false;
    };

    system.singleUser = "alexander";
    
    # Activate gpg
    programs.gnupg.agent.enable = true;

    # No need to use users."${system.singleUser}" as we already know it
    home-manager.users.alexander = {
      programs.home-manager.enable = true;

      programs.ssh = {
        enable = true;
        extraConfig = ''
          IdentityFile ~/.ssh/gitea_papatutuwawa
          IdentityFile ~/.ssh/github_polynomdivision

          Host git.polynom.me
              HostName git.polynom.me
              User git
              IdentityFile ~/.ssh/gitea_papatutuwawa

          Host github.com
              HostName github.com
              User git
              IdentityFile ~/.ssh/github_polynomdivision
        '';
      };
      
      services.gpg-agent = {
        enable = true;
        pinentryFlavor = "gnome3";
      };
    };    
  };
}
